Redmine - Defect #19989

two enoding in files in repo
2015-06-01 12:31 - Sergey Vershinin

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version: 3.0.3
Description

hi

i have repositories which have a files with different encoding - cp1251 and cp866.

i set a "settings_repositories_encodings" to "cp866,cp1251" (see screen)

In result i have a correct diff with files with cp866 encoding only.

History

#1 - 2015-06-01 13:03 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Wont fix

cp866 and cp1251 are Single Byte Character Set
There is no way to detect whether strings is valid on cp866.

#2 - 2015-06-01 13:05 - Toshi MARUYAMA
- Category deleted (Project settings)

Files
error.png 7.53 KB 2015-06-01 Sergey Vershinin
2025-05-19 1/1



http://en.wikipedia.org/wiki/SBCS
http://www.tcpdf.org

